Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class InsertLabelsEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.InsertLabelsEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class InsertLabelsEdit

extends DocumentEdit

Used to insert multiple icon labels.

Since:
  2.0.26
Author:
  Ben Stöver

Field Summary
`private InsertLabelEdit[]` | `edits`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`InsertLabelsEdit(Document document, Label label, Branch[] branches)`

Method Summary
`java.lang.String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### edits

    private InsertLabelEdit[] edits

Constructor Detail

### InsertLabelsEdit

    public InsertLabelsEdit(Document document,
                            Label label,
                            Branch[] branches)

Method Detail

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotRedoException`

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD